kr.co.hanwha.hifive.screen.main.dashboard

## Class MainDashboardFragment

- java.lang.Object
- - android.app.Fragment
  - - kr.co.hanwha.hifive.base.BaseFragment
    - - kr.co.hanwha.hifive.screen.main.dashboard.MainDashboardFragment

All Implemented Interfaces:
  android.content.ComponentCallbacks, android.content.ComponentCallbacks2, android.view.View.OnCreateContextMenuListener, BaseView<MainDashboardContract.Presenter>, MainDashboardContract.View

    public class MainDashboardFragment
    extends BaseFragment
    implements MainDashboardContract.View

Created by sanghoonkwon on 2018. 3. 15..

### Nested Class Summary

Nested Classes
`(package private) class` `MainDashboardFragment.MainPagerAdapter` PagerAdapter

### Nested classes/interfaces inherited from class android.app.Fragment

`android.app.Fragment.InstantiationException, android.app.Fragment.SavedState`

### Field Summary

Fields
`private int` `INDEX_GREEN`
`private int` `INDEX_ORANGE`
`private MainDashboardListAdapter` `mAdapterGreen`
`private MainDashboardListAdapter` `mAdapterOrange`
`private HFDashboardTabView` `mDashboardTabView`
`private android.support.v7.widget.GridLayoutManager` `mLayoutManagerGreen`
`private android.support.v7.widget.GridLayoutManager` `mLayoutManagerOrange`
`private MainDashboardPresenter` `mPresenter`
`private android.support.v7.widget.RecyclerView` `mRecyclerViewGreen`
`private android.support.v7.widget.RecyclerView` `mRecyclerViewOrange`
`private android.support.v4.widget.SwipeRefreshLayout` `mRefreshLayoutGreen`
`private android.support.v4.widget.SwipeRefreshLayout` `mRefreshLayoutOrange`
`private android.widget.TextView` `mTextViewEmptyGreen`
`private android.widget.TextView` `mTextViewEmptyOrange`
`private android.view.View` `mViewGreen`
`private android.view.View` `mViewOrange`
`private android.support.v4.view.ViewPager` `mViewPager`
`(package private) android.view.View.OnClickListener` `onClickListener` View.OnClickListener
`(package private) MainDashboardListContract.OnMainDashboardListListener` `onMainDashboardListListener` MainDashboardListContract.OnMainDashboardListListener
`(package private) HFDashboardTabView.OnMainTabListener` `onMainTabListener` HFMainTabFontView.OnMainTabListener
`(package private) android.support.v4.view.ViewPager.OnPageChangeListener` `onPageChangeListener` ViewPager.OnPageChangeListener
`(package private) android.support.v4.widget.SwipeRefreshLayout.OnRefreshListener` `onRefreshListener` OnRefreshListener

### Fields inherited from interface android.content.ComponentCallbacks2

`TRIM_MEMORY_BACKGROUND, TRIM_MEMORY_COMPLETE, TRIM_MEMORY_MODERATE, TRIM_MEMORY_RUNNING_CRITICAL, TRIM_MEMORY_RUNNING_LOW, TRIM_MEMORY_RUNNING_MODERATE, TRIM_MEMORY_UI_HIDDEN`

### Constructor Summary

Constructors
Constructor and Description
`MainDashboardFragment()`

### Method Summary

All Methods Instance Methods Concrete Methods
`android.view.View` `onCreateView(android.view.LayoutInflater inflater, android.view.ViewGroup container, android.os.Bundle savedInstanceState)`
`void` `onResume()`
`void` `setEmptyViewGreen(boolean empty)`
`void` `setEmptyViewOrange(boolean empty)`
`void` `setRefreshing(boolean refreshing)`

### Methods inherited from class kr.co.hanwha.hifive.base.BaseFragment

`onCreate, showAlert, showAlert, showAlert, showAlert, showAlert, showLoadingDialog, showToast, showToast, showToast, showToastAlert, showToastAlert, showToastConfirm, showToastConfirm, showToastEmpty, showToastEmpty, showToastImpossible, showToastImpossible`

### Methods inherited from class android.app.Fragment

`dump, equals, getActivity, getAllowEnterTransitionOverlap, getAllowReturnTransitionOverlap, getArguments, getChildFragmentManager, getContext, getEnterTransition, getExitTransition, getFragmentManager, getHost, getId, getLayoutInflater, getLoaderManager, getParentFragment, getReenterTransition, getResources, getRetainInstance, getReturnTransition, getSharedElementEnterTransition, getSharedElementReturnTransition, getString, getString, getTag, getTargetFragment, getTargetRequestCode, getText, getUserVisibleHint, getView, hashCode, instantiate, instantiate, isAdded, isDetached, isHidden, isInLayout, isRemoving, isResumed, isStateSaved, isVisible, onActivityCreated, onActivityResult, onAttach, onAttach, onAttachFragment, onConfigurationChanged, onContextItemSelected, onCreateAnimator, onCreateContextMenu, onCreateOptionsMenu, onDestroy, onDestroyOptionsMenu, onDestroyView, onDetach, onGetLayoutInflater, onHiddenChanged, onInflate, onInflate, onInflate, onLowMemory, onMultiWindowModeChanged, onMultiWindowModeChanged, onOptionsItemSelected, onOptionsMenuClosed, onPause, onPictureInPictureModeChanged, onPictureInPictureModeChanged, onPrepareOptionsMenu, onRequestPermissionsResult, onSaveInstanceState, onStart, onStop, onTrimMemory, onViewCreated, onViewStateRestored, postponeEnterTransition, registerForContextMenu, requestPermissions, setAllowEnterTransitionOverlap, setAllowReturnTransitionOverlap, setArguments, setEnterSharedElementCallback, setEnterTransition, setExitSharedElementCallback, setExitTransition, setHasOptionsMenu, setInitialSavedState, setMenuVisibility, setReenterTransition, setRetainInstance, setReturnTransition, setSharedElementEnterTransition, setSharedElementReturnTransition, setTargetFragment, setUserVisibleHint, shouldShowRequestPermissionRationale, startActivity, startActivity, startActivityForResult, startActivityForResult, startIntentSenderForResult, startPostponedEnterTransition, toString, unregisterForContextMenu`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface kr.co.hanwha.hifive.base.BaseView

`showAlert, showAlert, showAlert, showAlert, showAlert, showLoadingDialog, showToast, showToastAlert, showToastConfirm, showToastEmpty, showToastImpossible`

### Field Detail

#### mViewPager

    private android.support.v4.view.ViewPager mViewPager

#### mViewGreen

    private android.view.View mViewGreen

#### mViewOrange

    private android.view.View mViewOrange

#### mRefreshLayoutGreen

    private android.support.v4.widget.SwipeRefreshLayout mRefreshLayoutGreen

#### mRefreshLayoutOrange

    private android.support.v4.widget.SwipeRefreshLayout mRefreshLayoutOrange

#### mRecyclerViewGreen

    private android.support.v7.widget.RecyclerView mRecyclerViewGreen

#### mRecyclerViewOrange

    private android.support.v7.widget.RecyclerView mRecyclerViewOrange

#### mAdapterGreen

    private MainDashboardListAdapter mAdapterGreen

#### mAdapterOrange

    private MainDashboardListAdapter mAdapterOrange

#### mLayoutManagerGreen

    private android.support.v7.widget.GridLayoutManager mLayoutManagerGreen

#### mLayoutManagerOrange

    private android.support.v7.widget.GridLayoutManager mLayoutManagerOrange

#### mTextViewEmptyGreen

    private android.widget.TextView mTextViewEmptyGreen

#### mTextViewEmptyOrange

    private android.widget.TextView mTextViewEmptyOrange

#### mDashboardTabView

    private HFDashboardTabView mDashboardTabView

#### mPresenter

    private MainDashboardPresenter mPresenter

#### INDEX_ORANGE

    private final int INDEX_ORANGE

See Also:
  Constant Field Values

#### INDEX_GREEN

    private final int INDEX_GREEN

See Also:
  Constant Field Values

#### onClickListener

    android.view.View.OnClickListener onClickListener

View.OnClickListener

#### onRefreshListener

    android.support.v4.widget.SwipeRefreshLayout.OnRefreshListener onRefreshListener

OnRefreshListener

#### onMainTabListener

    HFDashboardTabView.OnMainTabListener onMainTabListener

HFMainTabFontView.OnMainTabListener

#### onMainDashboardListListener

    MainDashboardListContract.OnMainDashboardListListener onMainDashboardListListener

MainDashboardListContract.OnMainDashboardListListener

#### onPageChangeListener

    android.support.v4.view.ViewPager.OnPageChangeListener onPageChangeListener

ViewPager.OnPageChangeListener

### Constructor Detail

#### MainDashboardFragment

    public MainDashboardFragment()

### Method Detail

#### onCreateView

    @Nullable
    public android.view.View onCreateView(android.view.LayoutInflater inflater,
                                                    @Nullable
                                                    android.view.ViewGroup container,
                                                    android.os.Bundle savedInstanceState)

Overrides:
  `onCreateView` in class `android.app.Fragment`

#### onResume

    public void onResume()

Overrides:
  `onResume` in class `android.app.Fragment`

#### setRefreshing

    public void setRefreshing(boolean refreshing)

Specified by:
  `setRefreshing` in interface `MainDashboardContract.View`

#### setEmptyViewOrange

    public void setEmptyViewOrange(boolean empty)

Specified by:
  `setEmptyViewOrange` in interface `MainDashboardContract.View`

#### setEmptyViewGreen

    public void setEmptyViewGreen(boolean empty)

Specified by:
  `setEmptyViewGreen` in interface `MainDashboardContract.View`